Groovy Documentation

## org.vertx.groovy.core.http.impl
[Groovy] Class DefaultHttpServer

    java.lang.Object
      org.vertx.groovy.core.http.HttpServer
          org.vertx.groovy.core.http.impl.DefaultHttpServer

    class DefaultHttpServer
    extends HttpServer

Authors:
  Tim Fox

Field Summary

Fields inherited from class HttpServer
jServer

Constructor Summary
`DefaultHttpServer(VertxInternal vertx, java.util.Map props = null)`

Method Summary

Methods inherited from class HttpServer

close, close, getAcceptBacklog, getKeyStorePassword, getKeyStorePath, getReceiveBufferSize, getRequestHandler, getSendBufferSize, getTrafficClass, getTrustStorePassword, getTrustStorePath, getWebsocketHandler, isReuseAddress, isSSL, isSoLinger, isTCPKeepAlive, isTCPNoDelay, listen, listen, requestHandler, setAcceptBacklog, setClientAuthRequired, setKeyStorePassword, setKeyStorePath, setReceiveBufferSize, setReuseAddress, setSSL, setSendBufferSize, setSoLinger, setTCPKeepAlive, setTCPNoDelay, setTrafficClass, setTrustStorePassword, setTrustStorePath, toJavaServer, websocketHandler

Constructor Detail

### DefaultHttpServer

    DefaultHttpServer(VertxInternal vertx, java.util.Map props = null)

Groovy Documentation